RDConfig.h File Reference

Go to the source code of this file.

## Macros

#define | RDK_USE_BOOST_SERIALIZATION
#define | RDK_USE_BOOST_IOSTREAMS
#define | RDK_USE_BOOST_STACKTRACE
#define | RDK_BUILD_THREADSAFE_SSS
#define | RDK_THREADSAFE_SSS
#define | RDK_TEST_MULTITHREADED
#define | RDK_USE_STRICT_ROTOR_DEFINITION
#define | RDK_BUILD_DESCRIPTORS3D
#define | RDK_HAS_EIGEN3
#define | RDK_BUILD_COORDGEN_SUPPORT
#define | RDK_BUILD_MAEPARSER_SUPPORT
#define | RDK_BUILD_SLN_SUPPORT
#define | RDK_BUILD_CAIRO_SUPPORT

## Macro Definition Documentation

## RDK_BUILD_CAIRO_SUPPORT

#define RDK_BUILD_CAIRO_SUPPORT

Definition at line 45 of file RDConfig.h.

## RDK_BUILD_COORDGEN_SUPPORT

#define RDK_BUILD_COORDGEN_SUPPORT

Definition at line 35 of file RDConfig.h.

## RDK_BUILD_DESCRIPTORS3D

#define RDK_BUILD_DESCRIPTORS3D

Definition at line 30 of file RDConfig.h.

## RDK_BUILD_MAEPARSER_SUPPORT

#define RDK_BUILD_MAEPARSER_SUPPORT

Definition at line 37 of file RDConfig.h.

## RDK_BUILD_SLN_SUPPORT

#define RDK_BUILD_SLN_SUPPORT

Definition at line 43 of file RDConfig.h.

## RDK_BUILD_THREADSAFE_SSS

#define RDK_BUILD_THREADSAFE_SSS

Definition at line 21 of file RDConfig.h.

## RDK_HAS_EIGEN3

#define RDK_HAS_EIGEN3

Definition at line 32 of file RDConfig.h.

## RDK_TEST_MULTITHREADED

#define RDK_TEST_MULTITHREADED

Definition at line 26 of file RDConfig.h.

## RDK_THREADSAFE_SSS

#define RDK_THREADSAFE_SSS

Definition at line 23 of file RDConfig.h.

## RDK_USE_BOOST_IOSTREAMS

#define RDK_USE_BOOST_IOSTREAMS

Definition at line 13 of file RDConfig.h.

## RDK_USE_BOOST_SERIALIZATION

#define RDK_USE_BOOST_SERIALIZATION

Definition at line 12 of file RDConfig.h.

## RDK_USE_BOOST_STACKTRACE

#define RDK_USE_BOOST_STACKTRACE

Definition at line 14 of file RDConfig.h.

## RDK_USE_STRICT_ROTOR_DEFINITION

#define RDK_USE_STRICT_ROTOR_DEFINITION

Definition at line 28 of file RDConfig.h.